Summary:     mdadm controls Linux md devices (software RAID arrays)
Name:        mdadm
Version:     1.12.0
Release:     2%{?dist}
Source:      http://www.cse.unsw.edu.au/~neilb/source/mdadm/mdadm-%{version}.tgz
Source1:     mdmonitor.init
Source2:     mdmpd-0.4.tgz
Source3:     mdmpd.init
Patch1:	     mdadm-1.5.0-email.patch
Patch2:      mdadm-1.12.0-super-minor.patch
Patch3:      mdadm-1.12.0-s390.patch
URL:         http://www.cse.unsw.edu.au/~neilb/source/mdadm/
License:     GPL
Group:       System Environment/Base
BuildRoot:   %{_tmppath}/%{name}-root
Obsoletes:   mdctl
Requires:    smtpdaemon
BuildRequires: dietlibc

%description 
mdadm is used to create, manage, and monitor Linux MD (software RAID)
devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

%prep
%setup -q -a 2
%patch1 -p1 -b .email
%patch2 -p1 -b .super-minor
%patch3 -p1 -b .s390

%build
make CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}" mdadm
make CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}" -C mdmpd mdmpd
make CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}" mdassemble

%install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} BINDIR=/sbin install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} BINDIR=/sbin -C mdmpd install
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/mdmonitor
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT/%{_initrddir}/mdmpd

mkdir -p -m 700 $RPM_BUILD_ROOT/var/run/mdmpd
mkdir -p -m 700 $RPM_BUILD_ROOT/var/run/mdadm

install -D -m750 mdassemble $RPM_BUILD_ROOT/sbin/mdassemble

%clean
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mdmonitor
/sbin/chkconfig --add mdmpd

%preun
if [ "$1" = 0 ]; then
    service mdmonitor stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del mdmonitor
    if [ -e %{_initrddir}/mdmpd ]; then
        service mdmpd stop > /dev/null 2>&1 ||:
        /sbin/chkconfig --del mdmpd
    fi
fi

%postun
if [ "$1" -ge "1" ]; then
    service mdmonitor condrestart > /dev/null 2>&1
    if [ -e %{_initrddir}/mdmpd ]; then
        service mdmpd condrestart > /dev/null 2>&1
    fi
fi

%files
%defattr(-,root,root)
%doc TODO ChangeLog mdadm.conf-example COPYING
/sbin/*
%{_initrddir}/*
%{_mandir}/man*/md*
%attr(0700,root,root) %dir /var/run/mdmpd
%attr(0700,root,root) %dir /var/run/mdadm

%changelog
* Wed May 9 2007 Shad L. Lords <slords@mail.com> 1.12.0-2.sme
- Clean up spec so package can be built by koji/plague
- Add mdassemble [SME: 961]

* Wed Jan 31 2007 Doug Ledford <dledford@redhat.com> 1.12.0-2
- Remove spurious super-minor once, super-minor=1 ignored messages
- Attempt to catch overly large linear constituent devices and avoid
  a math overflow in the kernel linear code
- Resolves: bz150784, bz170327

* Fri Jan 26 2007 Doug Ledford <dledford@redhat.com> 1.12.0-1
- Update to 1.12.0, the last version in the 1. series of mdadm (the 2. series
  was a rewrite and is not suitable for update in a stable product such as
  RHEL4)
- Resolves: bz201067, bz154561, bz171355, bz199033

* Thu Jul 21 2005 Doug Ledford <dledford@redhat.com> 1.6.0-3
- Convert from using MAJOR/MINOR macros to major/minor so that it can
  handle the increased number of devices available in the 2.6 kernel.

* Mon Oct 04 2004 Doug Ledford <dledford@redhat.com> 1.6.0-2
- Remove /etc/mdadm.conf from the file list.  Anaconda will write one out
  if it's needed.

* Fri Oct 01 2004 Doug Ledford <dledford@redhat.com> 1.6.0-1
- Update to newer upstream version
- Make mdmpd work on kernels that don't have the event interface patch

* Fri Jul 30 2004 Dan Walsh <dwalsh@redhat.com> 1.5.0-11
- Create a directory /var/run/mdadm to contain mdadm.pid
- This cleans up SELinux problem

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 22 2004 Doug Ledford <dledford@redhat.com> - 1.5.0-9
- Fix Makefile and build method to satisfy bz #123769
- Add mdmpd man page, update mdmpd version to 0.3 - bz #117160
- Make sure mdadm --monitor closes all md device files so that md devices
  can be stopped while mdadm is still running - bz #119532

* Thu May 20 2004 Jeremy Katz <katzj@redhat.com> - 1.5.0-8
- remove unneeded patch, can use --run instead

* Wed May 19 2004 Jeremy Katz <katzj@redhat.com> - 1.5.0-7
- add patch with reallyforce mode on creation to be used by anaconda

* Wed May 12 2004 Doug Ledford <dledford@redhat.com> 2.5.0-6
- Fix a bug in the %postun scriptlet related to downgrading to a version
  of mdadm that doesn't include the mdmpd daemon.

* Fri May 07 2004 Doug Ledford <dledford@redhat.com> 1.5.0-5
- Disable service mdmpd by default to avoid [Failed] messages on
  current 2.6 kernels.  Possibly re-enable it by default once the
  2.6 kernels have the md event interface.

* Thu Apr 22 2004 Doug Ledford <dledford@redhat.com> 1.5.0-4
- Update mdmonitor script to start daemon more cleanly
- Repackage mdmpd tarball to include gcc-3.4 changes and to make
  mdmpd properly daemonize at startup instead of forking and leaving
  the child attached to the terminal.

* Thu Mar  4 2004 Bill Nottingham <notting@redhat.com> 1.5.0-3
- ship /var/run/mpmpd (#117497)

* Thu Feb 26 2004 Doug Ledford <dledford@redhat.com> 1.5.0-2
- Add a default MAILADDR line to the mdadm.conf file installed by default
  (Bugzilla #92447)
- Make it build with gcc-3.4

* Mon Feb 23 2004 Doug Ledford <dledford@redhat.com> 1.5.0-1
- Update to 1.5.0 (from Matthew J. Galgoci <mgalgoci@redhat.com>)

* Sun Nov 16 2003 Doug Ledford <dledford@redhat.com> 1.4.0-1
- fix problem with recovery thread sleeping in mdmpd

* Fri Nov 14 2003 Doug Ledford <dledford@redhat.com>
- sync upstream
- add mdmpd package into mdadm package

* Wed Sep 10 2003 Michael K. Johnson <johnsonm@redhat.com> 1.3.0-1
- sync upstream

* Tue Mar 11 2003 Michael K. Johnson <johnsonm@redhat.com> 1.1.0-1
- sync upstream

* Tue Jan 28 2003 Michael K. Johnson <johnsonm@redhat.com> 1.0.1-1
- update for rebuild

* Wed Dec 25 2002 Tim Powers <timp@redhat.com> 1.0.0-8
- fix references to %%install in the changelog so that it will build

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.0-7
- Rebuild

* Fri Jul 12 2002 Michael K. Johnson <johnsonm@redhat.com>
- Changed RPM Group to System Environment/Base

* Wed May 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- minor cleanups to the text, conditionalize rm -rf
- added mdmonitor init script

* Fri May 10 2002  <neilb@cse.unsw.edu.au>
- update to 1.0.0
- Set CXFLAGS instead of CFLAGS

* Sat Apr  6 2002  <neilb@cse.unsw.edu.au>
- change %%install to use "make install"

* Fri Mar 15 2002  <gleblanc@localhost.localdomain>
- beautification
- made mdadm.conf non-replaceable config
- renamed Copyright to License in the header
- added missing license file
- used macros for file paths

* Fri Mar 15 2002 Luca Berra <bluca@comedia.it>
- Added Obsoletes: mdctl
- missingok for configfile

* Wed Mar 12 2002 NeilBrown <neilb@cse.unsw.edu.au>
- Add md.4 and mdadm.conf.5 man pages

* Fri Mar 08 2002		Chris Siebenmann <cks@cquest.utoronto.ca>
- builds properly as non-root.

* Fri Mar 08 2002 Derek Vadala <derek@cynicism.com>
- updated for 0.7, fixed /usr/share/doc and added manpage

* Tue Aug 07 2001 Danilo Godec <danci@agenda.si>
- initial RPM build
